---
title: "List tags · Tags · COUNT Partner API"
description: "Returns all tags in the workspace. GET /partners/tags"
canonical: "https://developers.getcount.com/reference/tags/list-tags"
source: "https://developers.getcount.com/reference/tags/list-tags"
---
[Tags](https://developers.getcount.com/reference/tags) / List tags

# List tags

GET `/partners/tags`

Returns all tags in the workspace.

Tags are returned with embedded tag group metadata when assigned. Results are sorted by name ascending.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=GET&path=%2Fpartners%2Ftags)

[Transactions API](https://developers.getcount.com/reference/transactions) [Journal Entries API](https://developers.getcount.com/reference/journal-entries)

#### Query parameters

`search` string optional

Partial, case-insensitive match on tag name.

`page` integer optional

Page number for pagination. The first page is 1.

`limit` integer optional

Records to return per page.

#### Responses

`200` Array of tags.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Next GET Get tag](https://developers.getcount.com/reference/tags/get-tag)

GET `https://api.getcount.com/partners/tags`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'GET';
const signingPath = '/tags';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/tags`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
[
  {
    "id": "e5f6a7b8-c9d0-1234-efab-345678901234",
    "name": "Office",
    "tagGroups": [
      {
        "id": "f6a7b8c9-d0e1-2345-fabc-456789012346",
        "name": "Department",
        "color": "#4A90D9"
      }
    ],
    "createdAt": "2026-01-15T10:30:00.000Z",
    "updatedAt": "2026-01-28T14:22:30.000Z"
  }
]
```
